=== debian/changelog ===
amneziawg (1.0.20210914-1ubuntu2) jammy; urgency=medium

  * Add better DEP8 tests (LP: #1952102):
    - d/t/control, d/t/wireguard-wgquick: test using network namespaces
      and wg-quick
    - d/t/netns-mini, d/t/control: test using network namespaces
      and wg, taken from the wireguard-linux-compat package
  * d/rules: add simple build-time test, taken from the existing
    DEP8 test to generate keys (LP: #1952767)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 07 Dec 2021 08:33:57 -0300

amneziawg (1.0.20210914-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 23 Nov 2021 11:41:45 -0500

amneziawg (1.0.20210914-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Mon, 27 Sep 2021 21:21:06 -0400

amneziawg (1.0.20210424-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 16 Aug 2021 14:20:40 -0400

amneziawg (1.0.20210424-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Fri, 13 Aug 2021 17:36:52 -0400

amneziawg (1.0.20210223-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 16 Mar 2021 17:27:19 -0400

amneziawg (1.0.20210223-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump dh compat to 13.
    - Drop Build-Depend on dkms.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Thu, 25 Feb 2021 02:02:36 -0500

amneziawg (1.0.20200827-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 30 Sep 2020 18:52:56 -0400

amneziawg (1.0.20200827-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Wed, 09 Sep 2020 03:47:59 -0400

amneziawg (1.0.20200820-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for teh wireguard-modules,
      wireguard-dkms alternative.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 26 Aug 2020 10:42:33 +0100

amneziawg (1.0.20200820-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sat, 22 Aug 2020 19:19:51 -0400

amneziawg (1.0.20200513-1ubuntu1) groovy; urgency=medium

  * Switch alternative dependency order for the wireguard-modules,
    wireguard-dkms alternative.  Whichever is first is deemed the
    preferred installation candidate when neither is present.  When this is
    wireguard-modules this is satisfied by installation of a random kernel
    which claims support for wireguard regardless of its applicability.
    Repeat after me, do not ever depend on a kernel.  (LP: #1890201)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 03 Aug 2020 22:24:05 +0100

amneziawg (1.0.20200513-1) unstable; urgency=medium

  * New upstream release.
    - Drop upstream patch.
  * d/control: Lower 'openresolv | resolvconf' to suggests.

 -- Unit 193 <unit193@debian.org>  Fri, 15 May 2020 18:32:16 -0400

amneziawg (1.0.20200510-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Add Unit193 to Uploaders
  * wrap-and-sort -ast
  * prefer wireguard-modules (from a kernel package) over wireguard-dkms
  * keygen test only needs wireguard-tools package, not wireguard metapackage

  [ Jason A. Donenfeld ]
  * debian: tests: replace ncat-client with keygen
  * debian: control: set Recommends order same as Depends order

  [ Unit 193 ]
  * New upstream release.
    - Refresh patch.
    - Grab an upstream commit to install wg-quick.target.
  * d/control:
    - Update my email address.
    - Recommend openresolv | resolvconf. (Closes: #930735)
  * d/copyright: Update attribution.
  * d/wireguard-tools.lintian-overrides: Drop override about .gitignore.

 -- Unit 193 <unit193@debian.org>  Tue, 12 May 2020 01:33:42 -0400

amneziawg (1.0.20200319-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * d/watch: Update to find new releases.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Mar 2020 21:30:26 -0400

amneziawg (1.0.20200206-2) unstable; urgency=medium

  * add NEWS file documenting that the metapackage will no longer cause a
    reload.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 24 Feb 2020 10:08:35 -0500

amneziawg (1.0.20200206-1) unstable; urgency=medium

  * new upstream release.
  * d/copyright: note import of bits from libmnl
  * refresh patches
  * drop libmnl-dev from build-deps

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 06 Feb 2020 14:06:44 -0500

amneziawg (1.0.20200121-2) unstable; urgency=medium

  * Transfer module reload postinst script to wireguard-dkms package
  * standards-version: bump to 4.5.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 22 Jan 2020 13:16:57 -0500

amneziawg (1.0.20200121-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 21 Jan 2020 10:12:22 -0500

amneziawg (1.0.20200102-1) unstable; urgency=medium

  * new upstream release
  * drop wireguard-dkms binary package, now supplied by the
    wireguard-linux-compat source package
  * refresh patches
  * drop lintian override of version-substvar-for-external-package
  * ship examples from new upstream path
  * update debian/copyright
  * avoid using git during build to override src/version.h


