=== debian/control ===
Source: amneziawg
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders:
 Unit 193 <unit193@debian.org>,
Build-Depends:
 debhelper,
 pkg-config,
 systemd,
Standards-Version: 4.6.0
Homepage: https://www.wireguard.com
Vcs-Git: https://github.com/amnezia-vpn/amnezia-wg-tools.git
Vcs-Browser: https://github.com/amnezia-vpn/amnezia-wg-tools
Rules-Requires-Root: no

Package: amneziawg
Architecture: all
Depends:
 amneziawg-dkms (>= 0.0.20200121-2) | amneziawg-modules (>= 0.0.20191219),
 amneziawg-tools (>= ${source:Version}),
 ${misc:Depends},
Description: fast, modern, secure kernel VPN tunnel (metapackage)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This metapackage explicitly depends on both the kernel module and the
 userspace tooling.

Package: amneziawg-tools
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 nftables | iptables,
 amneziawg-modules (>= 0.0.20171001) | amneziawg-dkms (>= 0.0.20191219),
Suggests: openresolv | resolvconf,
Description: fast, modern, secure kernel VPN tunnel (userland utilities)
 WireGuard is a novel VPN that runs inside the Linux Kernel and uses
 state-of-the-art cryptography (the "Noise" protocol). It aims to be
 faster, simpler, leaner, and more useful than IPSec, while avoiding
 the massive headache. It intends to be considerably more performant
 than OpenVPN. WireGuard is designed as a general purpose VPN for
 running on embedded interfaces and super computers alike, fit for
 many different circumstances. It runs over UDP.
 .
 This package contains command-line tools to interact with the
 WireGuard kernel module.  Currently, it provides only a single tool:
 .
 awg: set and retrieve configuration of WireGuard interfaces
