=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
 https://github.com/amnezia-vpn/amnezia-wg-tools.git \
 refs/tags/v?([\d\.]+)
